Package org.apache.any23.extractor.html

## Class TurtleHTMLExtractorFactory

- java.lang.Object
- - org.apache.any23.extractor.SimpleExtractorFactory<TurtleHTMLExtractor>
  - - org.apache.any23.extractor.html.TurtleHTMLExtractorFactory

- All Implemented Interfaces:
    `ExtractorDescription`, `ExtractorFactory<TurtleHTMLExtractor>`

      public class TurtleHTMLExtractorFactory
      extends SimpleExtractorFactory<TurtleHTMLExtractor>
      implements ExtractorFactory<TurtleHTMLExtractor>

  Author:
    Peter Ansell p_ansell@yahoo.com

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` |
    `static Prefixes` | `PREFIXES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TurtleHTMLExtractorFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TurtleHTMLExtractor` | `createExtractor()` | Creates an extractor instance.
    `static ExtractorDescription` | `getDescriptionInstance()` |

    - ### Methods inherited from class org.apache.any23.extractor.SimpleExtractorFactory

      `getExampleInput, getExtractorLabel, getExtractorName, getPrefixes, getSupportedMIMETypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorDescription

      `getExtractorLabel, getExtractorName, getPrefixes`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorFactory

      `getExampleInput, getSupportedMIMETypes`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### PREFIXES

          public static final Prefixes PREFIXES

  - ### Constructor Detail

    - #### TurtleHTMLExtractorFactory

          public TurtleHTMLExtractorFactory()

  - ### Method Detail

    - #### createExtractor

          public TurtleHTMLExtractor createExtractor()

      Description copied from interface: `ExtractorFactory`
      Creates an extractor instance.
      Specified by:
        `createExtractor` in interface `ExtractorFactory<TurtleHTMLExtractor>`
      Returns:
        an instance of the extractor associated to this factory.

    - #### getDescriptionInstance

          public static ExtractorDescription getDescriptionInstance()